User

Manage user-related functionalities, including social login, password management, account actions, authentication, OTP handling, profile updates, customer management, session management, platform configuration, user group management, and user attribute definition.

Customer Account

Provides functionalities related to customer accounts, including customer deletion through OTP verification sent to email or mobile, allowing users to provide reasons for deletion as configured within the platform, logout from user active session, retrieval of logged-in users, and active session management.

Operations
GET
/service/application/user/authentication/v1.0/session
# Get Logged in User
GET
/service/application/user/authentication/v1.0/sessions
# Get List OF Active Sessions
GET
/service/application/user/platform/v1.0/config
# Get Platform Configuration
GET
/service/application/user/authentication/v1.0/user-exists
# Chcek User Existence
POST
/service/application/user/authentication/v1.0/delete
# Verify OTP and Delete User
GET
/service/application/user/authentication/v1.0/logout
# Logout Current User
GET

Get Logged in User

Retrieve information about the currently logged-in user.
Parameters
No Parameters
GET
/service/application/user/authentication/v1.0/session
Loading...
Response
200
401
Success. Returns a JSON object with user details. Refer `UserObjectSchema` for more details.
Hide
Describes the structure of user details.
user
object (UserSchema)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get List OF Active Sessions

Retrieve all active sessions of a user.
Parameters
No Parameters
GET
/service/application/user/authentication/v1.0/sessions
Loading...
Response
200
401
Success. Returns a JSON object containing an array of sessions. Refer `SessionListSuccess` for more details.
Hide
Schema representing the response received upon successfully retrieving all active sessions of a user.
sessions
array of string
An array of active session identifiers.
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get Platform Configuration

Retrieve platform sales channel authentication configuration.
Parameters
namequery
string
Name of the application, e.g. Fynd.
GET
/service/application/user/platform/v1.0/config
Loading...
Response
200
Success. Returns a JSON object containing the all the platform configurations. Refer `PlatformSchema` for more details.
Hide
Schema representing the platform sales channel authentication configuration.
display
string
The display name of the platform.
look_and_feel
object (LookAndFeel)
Show
updated_at
string
| date-time
The date and time when the configuration was last updated.
active
boolean
Is the application config active or not.
forgot_password
boolean
Forgot password option to be given or not to application user.
login
object (Login)
Show
skip_captcha
boolean
Skip the captcha or not.
name
string
Name of the application.
meta
object (MetaSchema)
Show
_id
string
Unique document id of the platform config.
social
object (Social)
Show
required_fields
object (RequiredFields)
Show
register_required_fields
object (RegisterRequiredFields)
Show
skip_login
boolean
Whether to skip the login or not.
flash_card
object (FlashCard)
Show
subtext
string
Text to be shown at the top of the flash card like login to fynd, login to tira.
social_tokens
object (SocialTokens)
Show
created_at
string
| date-time
When was the application platform config document was created.
register
boolean
Whether to show the registration page on landing page or not.
mobile_image
string
Image to be shown on registration page for mobile devices.
desktop_image
string
Image to be shown on registration page for desktop devices.
delete_account_day
integer
Number of days after which the user account will be deleted.
delete_account_reasons
array of object (DeleteAccountReasons)
List of reasons you can set to ask user when account is being deleted from application.
Show
delete_account_consent
object (DeleteAccountConsent)
Show
session_config
object (SessionExpiry)
Show
__v
integer
Version of the document.
Examples
Parameters
name:
"5eda528b97457fe43a733ace"
Response
Loading...
GET

Chcek User Existence

Check whether user is already registered or not to the sales channel.
Parameters
qquery
string
Required
Email id or phone number of user.
GET
/service/application/user/authentication/v1.0/user-exists
Loading...
Response
200
400
Returns true or false based on user is registered or not.
Hide
Describes the response which specifies if user exists or not.
user_exists
boolean
Boolean which specifies if user is registered or not.
Response
Loading...
POST

Verify OTP and Delete User

Verify OTP sent to mobile/email and delete the user's account.
Parameters
No Parameters
Request body
user_id
string
User id for the application user.
reason
string
Reason to delete the application user.
reason_id
string
Reason id of request to delete the application user.
request_id
string
ID of request to delete the application user.
otp
string
OTP to verify the delete application user request.
POST
/service/application/user/authentication/v1.0/delete
Loading...
Response
200
400
Success. Returns a success message. Refer `DeleteUserSuccess` for more details.
Hide
Schema representing the response received upon a successful user deletion.
success
boolean
Whether the user deletion operation was successful.
Response
Loading...
GET

Logout Current User

Logout currently logged-in user.
Parameters
No Parameters
GET
/service/application/user/authentication/v1.0/logout
Loading...
Response
200
401
Success. Returns a success message as shown below. Refer `LogoutSuccess` for more details.
Hide
Schema representing the response received upon a successful logout operation.
logout
boolean
Whether the logout operation was successful.
Examples
Parameters
Parameters are not required.
Response
Loading...

Customer Attributes

Customer attributes enable the tagging of custom values against any customer. This allows the tagging of customer behavior with unique values, which can later be used to categorize customers into specific groups. Before adding any values to customers, definitions for customer attributes must be present. Attributes support multiple data types for defining new attributes for customers.

Operations
GET
/service/application/user/profile/v1.0/user-attributes
# Get User Attributes
PATCH
/service/application/user/profile/v1.0/user-attributes
# Update User Attributes
GET
/service/application/user/profile/v1.0/attributes/definition
# Get User Attribute Definitions
GET

Get User Attributes

Get the list of user attributes.
Parameters
slugquery
string
Filter by attribute slug.
GET
/service/application/user/profile/v1.0/user-attributes
Loading...
Response
200
400
Returns a list of users attributes
Hide
Describes the structure of user attribute.
attributes
object
Describes the structure of user attribute.
Examples
Parameters
Parameters are not required.
Response
Loading...
PATCH

Update User Attributes

Update user attributes.
Parameters
No Parameters
Request body
attributes
object
Describes the request structure to update the user attribute.
PATCH
/service/application/user/profile/v1.0/user-attributes
Loading...
Response
200
400
Returns a list of users attributes
Hide
Describes the structure of user attribute.
attributes
object
Describes the structure of user attribute.
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get User Attribute Definitions

Retrieve user attribute definitions.
Parameters
excluding_idsquery
string
Exclude attribute definitions by Ids
slugquery
string
Filter by attribute slug.
typequery
string
Filter by attribute type.
customer_editablequery
boolean
Filter by whether the attribute is editable by the customer.
encryptedquery
boolean
Filter by whether the attribute is encrypted.
pinnedquery
boolean
Filter by whether the attribute is pinned.
pin_orderquery
integer
Filter by pin order, it is the order in which the attribute is pinned.
is_lockedquery
boolean
Filter by locked status.
namequery
string
Filter by attribute name using a case-insensitive regex.
registration_enabledquery
boolean
Filter by whether the attribute is enabled for registration.
registration_typequery
string
Filter by registration type (e.g., mandatory, optional).
oneOf Schema from below
Enum
page_sizequery
integer
The number of items to retrieve in each page. Default value is 10.
Default Value : 10
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
GET
/service/application/user/profile/v1.0/attributes/definition
Loading...
Response
200
400
Successfull response
Hide
items
array of object (UserAttributesDefinition)
Show
page
object
Show
Response
Loading...

Customer Password

Manages customer passwords and provides functionality for resetting forgotten passwords, while also verifying password existence. Customers can conveniently reset their passwords by receiving one-time passwords (OTPs) via both email and phone numbers. sellers can adjust password configurations within the platform, including options such as increasing password length and adding special characters, numbers, and uppercase letters. Additionally, they can configure password history settings to prevent reuse of previous passwords.

Operations
POST
/service/application/user/authentication/v1.0/login/password/reset
# Reset Password via Email
POST
/service/application/user/authentication/v1.0/login/password/mobile/reset
# Reset Password via Mobile
POST
/service/application/user/authentication/v1.0/login/password/reset/token
# Validate Password Reset Code
POST
/service/application/user/authentication/v1.0/login/password/reset/forgot
# Reset Password via Code and login
POST
/service/application/user/authentication/v1.0/login/password/forgot
# Reset Password via Code
GET
/service/application/user/authentication/v1.0/has-password
# Check Password Existence
POST
/service/application/user/authentication/v1.0/password
# Update password
POST

Reset Password via Email

Send a password reset link to the user's email.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email id of user.
POST
/service/application/user/authentication/v1.0/login/password/reset
Loading...
Response
200
400
Success. Check the example shown below or refer `ResetPasswordSuccess` for more details.
Hide
Schema representing the response received upon a successful password reset operation.
status
string
Status of the password reset operation.
Response
Loading...
POST

Reset Password via Mobile

Send a password reset link to the user's mobile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
country_code
string
Country code for the phone number.
mobile
string
Phone number of user.
POST
/service/application/user/authentication/v1.0/login/password/mobile/reset
Loading...
Response
400
Bad request. See the error object in the response body for specific reason
Hide
Schema representing the error response received upon a failed api request.
code
string
The error code representing the type of error.
message
string
A descriptive message providing more details about the error.
info
string
A link to the error code description.
request_id
string
A random uuid string used to track the api request.
error
string
The error message or stack trace.
meta
object
Additional metadata associated with the error.
authenticated
boolean
Whether the user is authenticated.
Examples
Parameters
platform:
""
body:
body
Response
Loading...
POST

Validate Password Reset Code

Validate password reset link code.
Parameters
No Parameters
Request body
code
string
Unique code to verify request.
POST
/service/application/user/authentication/v1.0/login/password/reset/token
Loading...
Response
200
400
Success. Check the example shown below or refer `ResetPasswordSuccess` for more details.
Hide
Schema representing the response received upon a successful password reset operation.
status
string
Status of the password reset operation.
Response
Loading...
POST

Reset Password via Code and login

Reset a password using the code sent on email or sms the login.
Parameters
No Parameters
Request body
code
string
Unique code to verify request.
password
string
Password of user.
POST
/service/application/user/authentication/v1.0/login/password/reset/forgot
Loading...
Response
200
400
Success. Check the example shown below or refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Reset Password via Code

Reset a password using the code sent on email or sms.
Parameters
No Parameters
Request body
code
string
Unique code to verify request.
password
string
Password of user.
POST
/service/application/user/authentication/v1.0/login/password/forgot
Loading...
Response
200
400
Success. Check the example shown below or refer `ResetForgotPasswordSuccess` for more details.
Hide
Schema representing the response received upon a successful password reset operation.
success
boolean
Whether the password reset operation was successful.
Response
Loading...
GET

Check Password Existence

Check if user has set an account password.
Parameters
No Parameters
GET
/service/application/user/authentication/v1.0/has-password
Loading...
Response
200
401
Success. Returns a boolean value. Check the example shown below or refer `HasPasswordSuccess` for more details.
Hide
Schema representing the response received upon checking if a user has set an account password.
result
integer
An integer value indicating whether the user has set a password (1 for true, 0 for false).
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Update password

Allow user to change their password.
Parameters
No Parameters
Request body
old_password
string
Old password.
new_password
string
New password.
POST
/service/application/user/authentication/v1.0/password
Loading...
Response
200
400
Success. Returns a success message. Refer `VerifyEmailSuccess` for more details.
Hide
Schema representing the response received upon successful email verification.
message
string
Result of the email verification process.
Response
Loading...

Customer Profile

Enable customers to manage their profile efficiently by providing actions such as updating personal details such as first name, last name, gender, and date of birth. Enable users to add and verify mobile/email contacts with OTP verification, as well as delete secondary contacts. Additionally, provide the functionality to designate a primary contacts.

Operations
POST
/service/application/user/authentication/v1.0/verify/email
# Verify Email with Code
POST
/service/application/user/authentication/v1.0/verify/mobile
# Verify Mobile with Code
POST
/service/application/user/profile/v1.0/detail
# Edit User Profile Details
PUT
/service/application/user/profile/v1.0/mobile
# Add Mobile Number to Profile
DEL
/service/application/user/profile/v1.0/mobile
# Delete Mobile Number From Profile
POST
/service/application/user/profile/v1.0/mobile/primary
# Set Mobile as Primary
POST
/service/application/user/profile/v1.0/mobile/link/send
# Send Verification Link to Mobile
PUT
/service/application/user/profile/v1.0/email
# Add Email to Profile
DEL
/service/application/user/profile/v1.0/email
# Delete Email From Profile
POST
/service/application/user/profile/v1.0/email/primary
# Set Email as Primary
POST
/service/application/user/profile/v1.0/email/link/send
# Send Verification Link to Email
POST
/service/application/user/profile/v2.0/{entity}/primary/otp/send
# Send OTP to Primary Mobile or Email
POST
/service/application/user/profile/v2.0/{entity}/primary/otp/verify
# Verify OTP sent to Primary Mobile or Email
POST
/service/application/user/profile/v2.0/{entity}/otp/send
# Send OTP to update Mobile or Email
POST
/service/application/user/profile/v2.0/{entity}/otp/verify
# Verify OTP sent to Mobile or Email to update primary details.
POST

Verify Email with Code

Verify user email with a code sent within a link sent to their email.
Parameters
No Parameters
Request body
code
string
Unique code to verify request.
POST
/service/application/user/authentication/v1.0/verify/email
Loading...
Response
200
400
Success. Check the example shown below or refer `VerifyEmailSuccess` for more details.
Hide
Schema representing the response received upon successful email verification.
message
string
Result of the email verification process.
Response
Loading...
POST

Verify Mobile with Code

Verify user mobile with a code sent within a link sent to their mobile.
Parameters
No Parameters
Request body
code
string
Unique code to verify request.
POST
/service/application/user/authentication/v1.0/verify/mobile
Loading...
Response
200
400
Success. Check the example shown below or refer `VerifyEmailSuccess` for more details.
Hide
Schema representing the response received upon successful email verification.
message
string
Result of the email verification process.
Response
Loading...
POST

Edit User Profile Details

Allow users to modify and update their profile details.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
encrypt_otp
boolean
Set to true if you want to encrypt the OTP.
first_name
string
First name of the application user.
last_name
string
Last name of the application user.
mobile
object (EditProfileMobileSchema)
Show
country_code
string
Country code for the phone number.
email
string
Email id of user.
gender
string
Gender of user.
dob
string
Date of birth of user.
profile_pic_url
string
Profile picture of user.
android_hash
string
Unique hash value.
sender
string
Identity of the sender.
register_token
string
Unique temporary registration of the user.
consent
boolean
User's consent for privacy policy. When true, a privacy policy consent record is created with timestamp.
POST
/service/application/user/profile/v1.0/detail
Loading...
Response
200
400
Success. Check the example shown below or refer `LoginSuccess` for more details.
Hide
Describes the response on successful user profile update.
user
object (UserSchema)
Show
register_token
string
Unique registration token for user.
resend_email_token
string
Unique token to identify the request for OTP verification in case of unverified email.
user_exists
boolean
If user is registered or not.
verify_email_link
boolean
Whether to send a link to verify the registered email id of the user.
verify_email_otp
boolean
Whether to send a OTP to verify the registered email id of the user.
verify_mobile_otp
boolean
Whether to send a OTP to verify the registered phone of the user.
email
string
Email id of user.
request_id
string
A random uuid string used to track the request.
country_code
string
The country specific prefix for the phone number.
mobile
string
The user's mobile number without the country code.
success
boolean
Whether the operation was successful.
message
string
Information about the operation's result.
resend_timer
integer
| int64
Time in seconds before an request can be resent.
resend_token
string
A token used to authorize the resending of request.
Response
Loading...
PUT

Add Mobile Number to Profile

Add a new mobile number to the user's profile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
country_code
string
Country code for the phone number.
phone
string
Phone number of user.
PUT
/service/application/user/profile/v1.0/mobile
Loading...
Response
200
400
Success. Check the example shown below or refer `VerifyMobileOTPSuccess` for more details.
Hide
Schema representing the response received upon successfully verifying a mobile OTP.
user
object (UserSchema)
Show
verify_mobile_link
boolean
Whether the mobile number verification link was successful.
Response
Loading...
DEL

Delete Mobile Number From Profile

Delete mobile number from profile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
activequery
boolean
Required
This is a boolean value to check if mobile number is active 1.True - number is active 2. False - number is inactive.
primaryquery
boolean
Required
This is a boolean value to check if mobile number is primary number (main number) 1. True - number is primary 2. False - number is not primary.
verifiedquery
boolean
Required
This is a boolean value to check if mobile number is verified 1. True - number is verified 2.False - number is not verified yet.
country_codequery
string
Required
Country code of the phone number, e.g. 91.
phonequery
string
Required
Phone number.
DEL
/service/application/user/profile/v1.0/mobile
Loading...
Response
200
400
Success. Check the example shown below or refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Set Mobile as Primary

Set a mobile number as the primary contact for the user.
Parameters
No Parameters
Request body
verified
boolean
Boolean to specify if the phone number is verified or not.
active
boolean
Boolean to specify if the phone number is active or not.
country_code
string
Country code for the phone number.
phone
string
Phone number.
primary
boolean
Boolean to specify if the phone number is primary or not.
POST
/service/application/user/profile/v1.0/mobile/primary
Loading...
Response
200
400
Success. Check the example shown below or refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Send Verification Link to Mobile

Send a verification link to a newly added mobile number.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
verified
boolean
Boolean to specify if the phone number is verified or not.
active
boolean
Boolean to specify if the phone number is active or not.
country_code
string
Country code for the phone number.
phone
string
Phone number.
primary
boolean
Boolean to specify if the phone number is primary or not.
POST
/service/application/user/profile/v1.0/mobile/link/send
Loading...
Response
200
400
Success. Check the example shown below or refer `SendMobileVerifyLinkSuccess` for more details.
Hide
Schema representing the response received upon successfully sending a verification link to a mobile number.
verify_mobile_link
boolean
Whether the mobile verification link was successfully sent.
Response
Loading...
PUT

Add Email to Profile

Add a new email address to the user's profile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email of the user.
PUT
/service/application/user/profile/v1.0/email
Loading...
Response
200
400
Success. Returns a JSON object with user details. Refer `VerifyEmailOTPSuccess` for more details.
Hide
Schema representing the response received upon successfully verifying an email OTP.
user
object (UserSchema)
Show
verify_email_link
boolean
Whether the email verification link was successful.
Response
Loading...
DEL

Delete Email From Profile

Delete email from profile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
activequery
boolean
Required
Boolean value to check if email id is active 1. True - email id is active 2.False - email id is inactive.
primaryquery
boolean
Required
Boolean value to check if email id is primary (main email id) 1. True - email id is primary 2.False - email id is not primary.
verifiedquery
boolean
Required
Boolean value to check if email id is verified 1. True - email id is verified 2.False - email id is not verified yet.
emailquery
string
Required
The email id to delete.
DEL
/service/application/user/profile/v1.0/email
Loading...
Response
200
400
Success. Returns a JSON object with user details. Refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Set Email as Primary

Set an email address as the primary contact for the user.
Parameters
No Parameters
Request body
email
string
Email of the user.
POST
/service/application/user/profile/v1.0/email/primary
Loading...
Response
200
400
Success. Returns a JSON object with user details. Refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Send Verification Link to Email

Send a verification link to a newly added email address.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email of the user.
POST
/service/application/user/profile/v1.0/email/link/send
Loading...
Response
200
400
Request body must contain an email ID. Refer `EditEmailRequestSchema` for more details.
Hide
Schema representing the response received upon successfully sending a verification link to an email.
verify_email_link
boolean
Whether the email verification link was successfully sent.
Response
Loading...
POST

Send OTP to Primary Mobile or Email

Send OTP to primary mobile number or email to verify primary details. Use this to update Email or Mobile, other APIs will be deprecated.
Parameters
entitypath
string
Required
This is a string parameter and the value can be either `mobile` or `email`.
Enum
Request body
encrypt_otp
boolean
Set to true if you want to encrypt the OTP.
POST
/service/application/user/profile/v2.0/{entity}/primary/otp/send
Loading...
Response
200
Success. Returns a JSON object as shown below. Refer `SendOtpSuccess` for more details.
Hide
Schema representing the response received upon successfully sending an OTP to the user's mobile.
resend_timer
integer
| int64
The time in seconds before an OTP can be resent.
resend_token
string
A token used to authorize the resending of an OTP.
register_token
string
A token used for completing the registration process.
success
boolean
Whether the OTP send operation was successful.
request_id
string
A random uuid string used to track the OTP send response.
message
string
Additional information about the operation's result.
mobile
string
The user's mobile number without the country code.
country_code
string
The country specific prefix for the phone number.
Examples
Parameters
entity:
"mobile"
body:
body
Response
Loading...
POST

Verify OTP sent to Primary Mobile or Email

Verify OTP sent to primary mobile number or email to verify primary details. User needs to use sendOTPOnPrimary before verifying OTP.
Parameters
entitypath
string
Required
This is a string parameter and the value can be either `mobile` or `email`.
Enum
Request body
otp
string
Required
OTP for verification.
request_id
string
Required
Unique request id for the OTP.
POST
/service/application/user/profile/v2.0/{entity}/primary/otp/verify
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `VerifyPrimaryOTPSuccess` for more details.
Hide
success
boolean
Whether the OTP verification was successful.
request_id
string
A random uuid string used to track the send OTP response.
entity
string
The entity type of the verified primary details.
Response
Loading...
POST

Send OTP to update Mobile or Email

Send OTP to mobile number or email. User needs to use sendOTPOnPrimary and verifyOTPonPrimary before using this method to update details.
Parameters
entitypath
string
Required
This is a string parameter and the value can be either `mobile` or `email`.
Enum
Request body
request_id
string
Required
Unique request id for the OTP.
mobile
string
Phone number of user.
country_code
string
Country code for the phone number.
email
string
Email id of user.
encrypt_otp
boolean
Set to true if you want to encrypt the OTP.
POST
/service/application/user/profile/v2.0/{entity}/otp/send
Loading...
Response
200
Success. Returns a JSON object as shown below. Refer `SendOtpSuccess` for more details.
Hide
Schema representing the response received upon successfully sending an OTP to the user's mobile.
resend_timer
integer
| int64
The time in seconds before an OTP can be resent.
resend_token
string
A token used to authorize the resending of an OTP.
register_token
string
A token used for completing the registration process.
success
boolean
Whether the OTP send operation was successful.
request_id
string
A random uuid string used to track the OTP send response.
message
string
Additional information about the operation's result.
mobile
string
The user's mobile number without the country code.
country_code
string
The country specific prefix for the phone number.
Examples
Parameters
entity:
"email"
body:
body
Response
Loading...
POST

Verify OTP sent to Mobile or Email to update primary details.

Verify OTP sent to Mobile number or Email to update primary details. User needs to use sendOTPOnPrimary, verifyOTPonPrimary and sendOTPForUpdate before using this method to verify update details.
Parameters
entitypath
string
Required
This is a string parameter and the value can be either `mobile` or `email`.
Enum
Request body
email
string
Email address of user.
otp
string
Required
OTP for verification.
request_id
string
Required
Unique request id for the Mobile OTP.
POST
/service/application/user/profile/v2.0/{entity}/otp/verify
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `VerifyOtpSuccess` for more details.
Hide
Schema representing the response received upon successful OTP verification.
user
object (UserSchema)
Show
user_exists
boolean
Whether the user already exists.
register_token
string
A token used for registration purposes.
Response
Loading...

Login and Registration

Enable seamless customer authentication and registration through a registration form. Users can choose from various authentication methods including login with OTP for enhanced security, login with tokens, and login with email and password.

Operations
POST
/service/application/user/authentication/v1.0/login/otp
# Login with Mobile OTP
POST
/service/application/user/authentication/v1.0/login/password
# Email and Password Login
POST
/service/application/user/authentication/v1.0/login/token
# Login with Token
POST
/service/application/user/authentication/v1.0/register/form
# Register User with Form
POST

Login with Mobile OTP

Allow users to log in using a one-time password sent to their mobile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
encrypt_otp
boolean
Eet to true if you want to encrypt the OTP.
country_code
string
Country code for the phone number.
mobile
string
Phone number.
android_hash
string
Unique hash value.
POST
/service/application/user/authentication/v1.0/login/otp
Loading...
Response
200
400
Success. Check the example shown below or refer `Otp` for more details.
Hide
Describes the successful response on sending OTP on user registration or authentication.
resend_timer
integer
| ind64
Time after which opt can be resent.
resend_token
string
Unique token to identify the OTP send request and resend the token.
success
boolean
Specify if the OTP is successfully sent.
request_id
string
Unique request id for the OTP.
message
string
Message to specify the OTP send status. Eg. OTP sent, failed to send OTP etc.
mobile
string
Phone number of user.
country_code
string
Country code for the phone number.
email
string
Email id of user.
resend_email_token
string
Unique token to identify the OTP send request and resend the token on email.
register_token
string
Unique registration token for user.
verify_email_otp
boolean
If email OTP verification is mandatory for registration.
verify_mobile_otp
boolean
If mobile OTP verification is mandatory for registration.
user_exists
boolean
If user is registered or not.
Response
Loading...
POST

Email and Password Login

Allow login using an email and password combination.
Parameters
No Parameters
Request body
password
string
Password of user.
username
string
Username of user.
POST
/service/application/user/authentication/v1.0/login/password
Loading...
Response
200
400
Success. Check the example shown below or refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Login with Token

Login user using a token for authentication.
Parameters
No Parameters
Request body
token
string
Unique token.
POST
/service/application/user/authentication/v1.0/login/token
Loading...
Response
200
400
Success. Check the example shown below or refer `LoginSuccess` for more details.
Hide
Schema representing the response received upon a successful login operation.
user
object (UserSchema)
Show
request_id
string
A random uuid string used to track the send OTP response.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Register User with Form

Enable new users to register using a form.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
first_name
string
First name of the application user.
last_name
string
Last name of the application user.
gender
string
Gender of user.
email
string
Email of user.
password
string
Password of user.
phone
object (FormRegisterRequestSchemaPhone)
Show
register_token
string
Unique registration token of user.
consent
boolean
User's consent for privacy policy. When true, a privacy policy consent record is created with timestamp.
POST
/service/application/user/authentication/v1.0/register/form
Loading...
Response
200
400
Success. Check the example shown below or refer `RegisterFormSuccess` for more details.
Hide
Schema representing the response received upon a successful user registration using a form.
email
string
The email address provided during registration.
resend_timer
integer
| int64
The time in seconds before an OTP can be resent.
resend_token
string
A token used to authorize the resending of an OTP.
resend_email_token
string
A token used to authorize the resending of an OTP via email.
register_token
string
A token used for completing the registration process.
success
boolean
A boolean value indicating whether the registration operation was successful.
request_id
string
A random uuid string used to track the registration response.
message
string
A string containing additional information about the operation's result.
mobile
string
The user's phone mobile without the country code.
country_code
string
The country specific prefix for the phone number.
verify_email_otp
boolean
Whether email OTP verification is required.
verify_mobile_otp
boolean
Whether mobile OTP verification is required.
user_exists
boolean
Whether the user already exists.
Response
Loading...

OTP Authentication

Takes care of sending and verifying OTPs on mobile/email for login, registration, and resetting forgotten passwords. The length of the OTP, its duration until expiry, and the number of OTPs generated per user are configured within the platform.

Operations
POST
/service/application/user/authentication/v1.0/otp/mobile/send
# Send OTP on Mobile
POST
/service/application/user/authentication/v1.0/otp/forgot/mobile/send
# Send mobile OTP for forgot-password
POST
/service/application/user/authentication/v1.0/otp/mobile/verify
# Verify mobile OTP
POST
/service/application/user/authentication/v1.0/otp/forgot/mobile/verify
# Verify Mobile OTP for Forgot Password
POST
/service/application/user/authentication/v1.0/otp/email/send
# Send OTP on Email
POST
/service/application/user/authentication/v1.0/otp/forgot/email/send
# Send Email OTP for Forgot Password
POST
/service/application/user/authentication/v1.0/otp/email/verify
# Verify Email OTP
POST
/service/application/user/authentication/v1.0/otp/forgot/email/verify
# Verify Email OTP for Forgot Password
POST

Send OTP on Mobile

Send a one-time password to the user's mobile for verification.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
encrypt_otp
boolean
Set to true if you want to encrypt the OTP.
mobile
string
Mobile number of user.
country_code
string
Country code for the phone number.
action
string
Action to specify if to send or resent the OTP.
Enum
token
string
Token to validate the request.
android_hash
string
Unique hash value.
force
string
Force verify the OTP.
POST
/service/application/user/authentication/v1.0/otp/mobile/send
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `OtpSuccess` for more details.
Hide
Schema representing the response received upon successfully sending an OTP to the user's mobile.
resend_timer
integer
| int64
The time in seconds before an OTP can be resent.
resend_token
string
A token used to authorize the resending of an OTP.
register_token
string
A token used for completing the registration process.
success
boolean
Whether the OTP send operation was successful.
request_id
string
A random uuid string used to track the OTP send response.
message
string
Additional information about the operation's result.
mobile
string
The user's mobile number without the country code.
country_code
string
The country specific prefix for the phone number.
Response
Loading...
POST

Send mobile OTP for forgot-password

Send a one-time password to the user's mobile for verification when resetting a forgotten password.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
mobile
string
Phone number of user.
country_code
string
Country code for the phone number.
action
string
Action to specify if to send or resent the OTP.
Enum
token
string
Token to validate the request.
android_hash
string
Unique hash value.
POST
/service/application/user/authentication/v1.0/otp/forgot/mobile/send
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `OtpSuccess` for more details.
Hide
Schema representing the response received upon successfully sending an OTP to the user's mobile.
resend_timer
integer
| int64
The time in seconds before an OTP can be resent.
resend_token
string
A token used to authorize the resending of an OTP.
register_token
string
A token used for completing the registration process.
success
boolean
Whether the OTP send operation was successful.
request_id
string
A random uuid string used to track the OTP send response.
message
string
Additional information about the operation's result.
mobile
string
The user's mobile number without the country code.
country_code
string
The country specific prefix for the phone number.
Response
Loading...
POST

Verify mobile OTP

Verify one-time password sent to user's mobile.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
request_id
string
Unique request id for the OTP sent to mobile number.
register_token
string
Unique temporary registration of the user.
otp
string
OTP for verification.
POST
/service/application/user/authentication/v1.0/otp/mobile/verify
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `VerifyOtpSuccess` for more details.
Hide
Schema representing the response received upon successful OTP verification.
user
object (UserSchema)
Show
user_exists
boolean
Whether the user already exists.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Verify Mobile OTP for Forgot Password

Verify one-time password sent to user's mobile for resetting a forgotten password.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
request_id
string
Unique request id for the OTP.
otp
string
OTP for verification.
POST
/service/application/user/authentication/v1.0/otp/forgot/mobile/verify
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `VerifyForgotOtpSuccess` for more details.
Hide
Schema representing the response received upon successful OTP verification for forgotten password.
success
boolean
Whether the OTP verification was successful.
forgot_token
string
A token used for resetting the forgotten password.
Response
Loading...
POST

Send OTP on Email

Send a one-time password to the user's email for verification.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email of a user to send email OTP.
action
string
Action to specify if to send or resent the OTP.
Enum
token
string
Token to validate the request.
register_token
string
Unique temporary registration of the user.
POST
/service/application/user/authentication/v1.0/otp/email/send
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `EmailOtpSuccess` for more details.
Hide
Schema representing the response received upon successfully sending an OTP to the user's email.
success
boolean
Whether the OTP send operation was successful.
resend_email_token
string
A token used to authorize the resending of an OTP via email.
Response
Loading...
POST

Send Email OTP for Forgot Password

Send a one-time password to the user's email for verification when resetting a forgotten password.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email of a user to send email OTP.
action
string
Action to specify if to send or resent the OTP.
Enum
token
string
Token to validate the request.
POST
/service/application/user/authentication/v1.0/otp/forgot/email/send
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `EmailOtpSuccess` for more details.
Hide
Schema representing the response received upon successfully sending an OTP to the user's email.
success
boolean
Whether the OTP send operation was successful.
resend_email_token
string
A token used to authorize the resending of an OTP via email.
Response
Loading...
POST

Verify Email OTP

Verify one-time password sent to user's email.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email of a user to verify OTP.
action
string
Action to verify the send or resent OTP.
register_token
string
Unique temporary registration of the user.
otp
string
OTP for verification.
POST
/service/application/user/authentication/v1.0/otp/email/verify
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `VerifyOtpSuccess` for more details.
Hide
Schema representing the response received upon successful OTP verification.
user
object (UserSchema)
Show
user_exists
boolean
Whether the user already exists.
register_token
string
A token used for registration purposes.
Response
Loading...
POST

Verify Email OTP for Forgot Password

Verify one-time password sent to user's email for resetting a forgotten password.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
email
string
Email id of user.
otp
string
OTP for verification.
POST
/service/application/user/authentication/v1.0/otp/forgot/email/verify
Loading...
Response
200
400
Success. Returns a JSON object as shown below. Refer `VerifyForgotOtpSuccess` for more details.
Hide
Schema representing the response received upon successful OTP verification for forgotten password.
success
boolean
Whether the OTP verification was successful.
forgot_token
string
A token used for resetting the forgotten password.
Response
Loading...

Social Login

Enables customer to log in via social platforms such as Apple, Google, and Facebook, enhancing accessibility and user experience. Configure the integration from social developer consoles to get the necessary credentials for enabling social login on platform.

Operations
POST
/service/application/user/authentication/v1.0/login/facebook-token
# Login with Facebook
POST
/service/application/user/authentication/v1.0/login/google-token
# Login with Google
POST
/service/application/user/authentication/v1.0/login/google-android
# Android Login with Google
POST
/service/application/user/authentication/v1.0/login/google-ios
# iOS Login with Google
POST
/service/application/user/authentication/v1.0/login/apple-ios
# iOS Login with Apple
POST

Login with Facebook

Enable users to log in to the system using their facebook accounts.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
is_signed_in
boolean
Boolean to specify if the user is signed in.
oauth2
object (OAuthRequestSchemaOauth2)
Show
profile
object (OAuthRequestSchemaProfile)
Show
POST
/service/application/user/authentication/v1.0/login/facebook-token
Loading...
Response
200
401
Success. Returns a JSON object with the user details. Check the example shown below or refer `AuthSuccess` for more details.
Hide
Describes the authentication success structure.
register_token
string
Unique registration token for user.
user_exists
boolean
Boolean which specifies if user is registered.
user
object (UserSchema)
Show
Response
Loading...
POST

Login with Google

Enable website users to log in to the system using their google accounts.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
is_signed_in
boolean
Boolean to specify if the user is signed in.
oauth2
object (OAuthRequestSchemaOauth2)
Show
profile
object (OAuthRequestSchemaProfile)
Show
POST
/service/application/user/authentication/v1.0/login/google-token
Loading...
Response
200
Success. Returns a JSON object with the user details. Check the example shown below or refer `AuthSuccess` for more details.
Hide
Describes the authentication success structure.
register_token
string
Unique registration token for user.
user_exists
boolean
Boolean which specifies if user is registered.
user
object (UserSchema)
Show
Examples
Parameters
platform:
"5eda528b97457fe43a733ace"
body:
body
Response
Loading...
POST

Android Login with Google

Enable android users to log in to the system using their facebook accounts.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
is_signed_in
boolean
Boolean to specify if the user is signed in.
oauth2
object (OAuthRequestSchemaOauth2)
Show
profile
object (OAuthRequestSchemaProfile)
Show
POST
/service/application/user/authentication/v1.0/login/google-android
Loading...
Response
200
Success. Returns a JSON object with the user details. Check the example shown below or refer `AuthSuccess` for more details.
Hide
Describes the authentication success structure.
register_token
string
Unique registration token for user.
user_exists
boolean
Boolean which specifies if user is registered.
user
object (UserSchema)
Show
Examples
Parameters
platform:
"5eda528b97457fe43a733ace"
body:
body
Response
Loading...
POST

iOS Login with Google

Enable ios users to log in to the system using their facebook accounts.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
is_signed_in
boolean
Boolean to specify if the user is signed in.
oauth2
object (OAuthRequestSchemaOauth2)
Show
profile
object (OAuthRequestSchemaProfile)
Show
POST
/service/application/user/authentication/v1.0/login/google-ios
Loading...
Response
200
Success. Returns a JSON object with the user details. Check the example shown below or refer `AuthSuccess` for more details.
Hide
Describes the authentication success structure.
register_token
string
Unique registration token for user.
user_exists
boolean
Boolean which specifies if user is registered.
user
object (UserSchema)
Show
Examples
Parameters
platform:
"5eda528b97457fe43a733ace"
body:
body
Response
Loading...
POST

iOS Login with Apple

Enable ios users to log in to the system using their apple id.
Parameters
platformquery
string
ID of the application.
Default Value : Fynd
Request body
user_identifier
string
Unique user identifier.
oauth
object (OAuthRequestAppleSchemaOauth)
Show
profile
object (OAuthRequestAppleSchemaProfile)
Show
POST
/service/application/user/authentication/v1.0/login/apple-ios
Loading...
Response
200
Success. Returns a JSON object with the user details. Check the example shown below or refer `AuthSuccess` for more details.
Hide
Describes the authentication success structure.
register_token
string
Unique registration token for user.
user_exists
boolean
Boolean which specifies if user is registered.
user
object (UserSchema)
Show
Examples
Parameters
platform:
"5eda528b97457fe43a733ace"
body:
body
Response
Loading...